* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  font-weight: lighter;
}

/* GLOBAL ITEMS */
a {
  text-decoration: none;
  color: black;
}

a:hover {
  opacity: 0.7;
  transition: all 1s ease-in-out;
}

ul {
  list-style-type: none;
}

::placeholder {
  font-size: 13px;
  font-family: blob;
}

img{
  object-fit: cover;
  object-position: center center;  
} 

/*                  FONTS               */

@font-face {
  src: url(../fonts/Pacifico/Pacifico-Regular.ttf);
  font-family: pac;
}

@font-face {
  src: url(../fonts/Benne/Benne-Regular.ttf);
  font-family: blob;
}

@font-face {
  src: url(../fonts/Londrina_Shadow/LondrinaShadow-Regular.ttf);
  font-family: lond;
}

@font-face {
  src: url(../fonts/Alegreya/Alegreya-Italic-VariableFont_wght.ttf);
  font-family: aleg;
}

@font-face {
  src: url(../fonts/Alegreya/Alegreya-VariableFont_wght.ttf);
  font-family: aleg2;
}

/* NAV ITEMS */
nav {
  background-color: black;
  padding: 5px 10px;
}

.menu a {
  color: white;
}

.menu a:hover {
  color: #00ffff;
}

.menu li {
  padding: 5px;
}

.name a {
  font-size: 19px;
  font-family: pac;
  color: white;
}

.name a:hover {
  color: white;
}

.item a {
  text-transform: uppercase;
  padding: 0 10px;
  font-family: blob;
}

#logout {
  background-color: rgba(0, 38, 255, 0.418);
}

/*          CONTAINER             */
.container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  padding: 10px;
}

main {
  width: 100%;
}


/*          BLOG POSTS              */

.topic {
  font-family: blob;
  font-size: 22px;
}

.auth {
  color: #deb887;
  font-family: aleg;
  font-size: 18px;
}

.cover {
  background-color: #f0f8ff;
  padding: 15px 10px;
  margin-bottom: 20px;
}

.cover h4,
.cover h3 {
  text-align: center;
}

p.cout {
  font-family: aleg2;
  font-size: 18px;
}

.blogimagecover {
  padding: 10px;
}

.blogimagecover a {
  width: 70%;
}

.blogimage {
  display: block;
  margin: 10px auto;
  border-bottom: solid 3px;
  width: 70%;
  height: 30%;
}

.blogimage:hover {
  transform: scale(1.1);
  transition: all 1s ease;
}

.enjoy-post {
  font-family: aleg2;
}

.main-post {
  padding: 10px;
}

.Read-More {
  color: #deb887;
  font-family: blob;
  font-size: 15px;
}

.Read-More:hover {
  opacity: 0.6;
  transition: 1s ease;
}

.topic1 {
  font-family: blob;
  font-size: 17px;
  margin-bottom: 20px;
}

.review {
  margin: 2px;
  font-family: pact;
}

.comment-link {
  display: block;
  margin: 5px 20px;
  text-align: right;
}

.comment-link:hover {
  opacity: 0.6;
}

/* LOAD MORE POST BUTTON */


.btn-load-div,
.empty-page {
  text-align: center;
}

.btn-load, .btn-load1 {
  background-color: white;
  color: black;
  display: block;
  margin: 5px auto 20px;
  padding:5px 10px;
  font-size: 13px;
  font-family: blob;
  border: ridge aqua 2px;
  border-radius: 30px;
}

.btn-load {
  display: inline-block;
  margin: 10px;
  border-radius: 4px;
}

.btn-load:hover,.btn-load1:hover {
  color: black;
  background-color: aqua;
  transition: 1s ease;
}

/*          SIDE VIEW POSTS              */
.asidesection {
  padding: 20px;
  margin: 20px;
}

.about-contact {
  text-align: center;
  padding: 15px 10px;
}

.about-picture {
  display: block;
  margin: 10px auto;
  height: 300px;
}

.link-color {
  color: black;
  font-family: aleg;
  font-size: 18px;
}

.link-color:hover {
  color: #deb887;
}

.link-colord {
  font-family: aleg;
  font-size: 16px;
}

/*          SOCIALS             */
.hangout {
  color: black;
  background-color: #f0f8ff;
  justify-content: space-between;
  padding: 15px 10px;
  text-align: center;
}

.img-socials {
  display: flex;
  justify-content: center;
}

.img-socials li {
  margin: 10px;
}

.img-socials li a:hover {
  opacity: 0.7;
}

.hangout:last-child {
  background-color: transparent;
  color: #f0f8ff;
}

.img-socials:last-child li a {
  color: #f0f8ff;
}

/*          NEWSLETTER           */
.newsletter {
  text-align: center;
}

.fill-form {
  margin: 12px auto 0px;
  display: block;
  padding: 5px 10px;
  border: 2px ridge aqua;
  border-radius: 15px;
}

.fill-form:focus {
  background-color: aqua;
  outline: none;
}



/*                          ROUTER COMMENTS SECTION              */
.comments-section {
  background-color: #f0f8ff;
  padding: 10px;
  text-align: center;
}

.comments-section form div input[type="text"],
.comments-section form div textarea {
  display: block;
  padding: 3px 15px;
  margin: 15px auto;
  border: none;
  border-bottom: 1px solid black;
  width: 70%;
}

.comments-section form div input[type="text"]:focus,
.comments-section form div textarea:focus {
  outline: none;
}

.comments-section form input[type="submit"], .create-post-btn {
  background-color: #383636;
  color: white;
  font-size: 13px;
  font-family: blob;
  border-radius: 30px;
  padding: 5px 15px;
  margin: 10px;
}



.comments-section form input[type="submit"]:hover {
  color: #383636;
  background-color: white;
}

/*                COMMENTS DISPLAY           */
.comments-display {
  padding: 5px 30px;
}

.comments-display h3 {
  text-align: center;
}

.comments-display p.link-colord-up {
  border-top: 2px black dotted;
}

.comments-display p {
  margin: 4px;
}

.comments-display p span {
  text-decoration: underline;
  font-family: blob;
}

/*       REPLY  SECTION           */
.comment-reactions form {
  display: inline;
}
.reply-link-style,
.cancel-reply-link {
  display: inline-block;
  margin: 5px 13px;
  font-family: blob;
  text-decoration: underline;
  color: rgb(93, 208, 253);
  cursor: pointer;
}

.cancel-reply-link {
  color: rgb(5, 21, 114);
  margin-bottom: 30px;
}

.reply-link-style:hover,
.cancel-reply-link:hover {
  opacity: 0.4;
}

#reply-section,
#admin-reply {
  display: none;
}

.view-replies {
  padding: 5px 35px;
}

.view-admin-replies div {
  border-top: 1px solid #ff00f2;
  border-bottom: 1px solid #ff00f2;
  padding: 5px 0;
  margin: 15px 0;
  margin-left: 70px;
}

/*            FOOTER SECTION            */

footer {
  background-color: #242222;
  padding: 5px 20px;
}

.read-about-me {
  text-align: center;
}

.Read-More1 {
  color: #deb887;
  font-family: blob;
  font-size: 13px;
}

.Read-More1:hover {
  opacity: 0.3;
}

.items2 {
  margin: 20px;
}

.items2 li {
  display: inline;
  padding: 30px 10px;
}

.items2 a {
  color: white;
  text-transform: uppercase;
  font-family: blob;
}

.items2 a:hover {
  color: aqua;
}

/*                     ABOUT PAGE CSS                                  */
.about-text {
  padding: 20px;
  text-align: center;
  background-color: #3522DB;
  color: white;
  margin: 10px 5px;
}

.about-text h3 {

  border-bottom: white 0.5px solid;
}

.about-text p {
  margin: 20px;
}


/*                          ADD POST SECTION                                     */
.addpost-container {
  margin: 10px 20px;
  padding: 15px;
}

.topic {
  text-align: center;
}

form div {
  margin: 12px;
}

form div label {
  display: block;
  font-family: blob;
}

form div textarea,
input[type="text"] {
  padding: 10px;
  width: 80%;
}


/*                          MANAGE POSTS SECTION                                     */

.addpost-container div ul li {
  font-family: blob;
  font-size: 22px;
}

.addpost-container div ul {
  display: flex;
  justify-content: space-around;
  margin: 10px 0;
  flex-wrap: nowrap;
}

.addpost-container div .subsequent-list li a {
  font-family: aleg2;
  text-decoration: underline;
}

.addpost-container div .subsequent-list .actions input[type="submit"] {
  margin: 10px 30px;
  border: none;
  background-color: white;
  text-decoration: underline;
  font-family: aleg2;
  font-size: 20px;
}

.addpost-container div .subsequent-list .actions input[type="submit"]:hover,
.addpost-container div .subsequent-list li a:hover {
  opacity: 0.4;
}

.green-edit {
  color: green;
}

.red-delete {
  color: red;
  border: 0;
  background-color: transparent;
}



/*                                          ADMIN INFO SECTION                           */
.addpost-container div .info-list li,
.addpost-container div ul li {
  display: inline;
  margin: 10px;
}

/*                                      LOG IN SECTION                             */
.admin-login {
  width: 90%;
  display: block;
  margin: 10vh auto;
  padding: 15px;
  background-color: #1f2020;
  color: whitesmoke;
}

.admin-login form div input {
  width: 100%;
  margin: 5px auto;
  padding: 5px 10px;
}

.log-button {
  display: block;
  margin: 10px auto;
  padding: 5px 10px;
  color: #1f2020;
  background-color: whitesmoke;
  font-size: 15px;
  font-family: blob;
}
.register-here{
  margin-top: 20px;
}
.register-here a{
  color: aqua;
}

/* MOBILE MENU */

.menu {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

.toggle {
  order: 1;
}

.item {
  order: 2;
  width: 100%;
  text-align: center;
  display: none;
}

.item.active {
  display: block;
  transition: all 1s ease;
}

/* DESKTOP VIEW */

@media all and (min-width: 900px) {
  .menu {
    justify-content: center;
  }

  .name {
    flex: 1;
  }

  .item {
    display: block;
    width: auto;
  }

  .toggle {
    display: none;
  }


  main {
    width: 60%;
  }

  .asidesection,
  .comments-display {
    width: auto;
  }

  .auth,
  .topic1 {
    font-size: 22px;
  }


  .fill-form {
    padding: 12px 20px;

  }

  .admin-login {
    width: 30%;

  }
 

  footer {
    display: grid;
    grid-template-columns: 30% 30% 30%;
  }
}

